ALTER TABLE sysmaps_links  ADD COLUMN selementid1		int(4)		DEFAULT '0' NOT NULL;
ALTER TABLE sysmaps_links  ADD COLUMN selementid2		int(4)		DEFAULT '0' NOT NULL;
DROP TABLE sysmaps_hosts ;
CREATE TABLE sysmaps_elements (
  elementid		int(4)		NOT NULL auto_increment,
  sysmapid		int(4)		DEFAULT '0' NOT NULL,
  elementid		int(4)		DEFAULT '0' NOT NULL,
  elementtype		int(4)		DEFAULT '0' NOT NULL,
  icon			varchar(32)	DEFAULT 'Server' NOT NULL,
  icon_on		varchar(32)	DEFAULT 'Server' NOT NULL,
  label			varchar(128)	DEFAULT '' NOT NULL,
  label_location	int(1)		DEFAULT NULL,
  x			int(4)		DEFAULT '0' NOT NULL,
  y			int(4)		DEFAULT '0' NOT NULL,
  url			varchar(255)	DEFAULT '' NOT NULL,
  PRIMARY KEY (shostid)
) type=InnoDB;
ALTER TABLE sysmaps_hosts ADD COLUMN label_location	int(1)		DEFAULT NULL;
ALTER TABLE alarms ADD COLUMN acknowledged		int(1)		DEFAULT '0' NOT NULL;
ALTER TABLE screens_items  ADD COLUMN screenitemid	int(4)		NOT NULL auto_increment;
ALTER TABLE screens_items  ADD COLUMN screenid	int(4)		DEFAULT '0' NOT NULL;
ALTER TABLE screens_items  ADD COLUMN resource	int(4)		DEFAULT '0' NOT NULL;
ALTER TABLE screens_items  ADD COLUMN resourceid	int(4)		DEFAULT '0' NOT NULL;
ALTER TABLE screens_items  ADD COLUMN width		int(4)		DEFAULT '320' NOT NULL;
ALTER TABLE screens_items  ADD COLUMN height		int(4)		DEFAULT '200' NOT NULL;
ALTER TABLE screens_items  ADD COLUMN x		int(4)		DEFAULT '0' NOT NULL;
ALTER TABLE screens_items  ADD COLUMN y		int(4)		DEFAULT '0' NOT NULL;
ALTER TABLE screens_items  ADD COLUMN colspan		int(4)		DEFAULT '0' NOT NULL;
ALTER TABLE screens_items  ADD COLUMN rowspan		int(4)		DEFAULT '0' NOT NULL;
ALTER TABLE screens_items  ADD COLUMN elements	int(4)		DEFAULT '25' NOT NULL;
ALTER TABLE screens_items  ADD COLUMN valign		int(2)		DEFAULT '0' NOT NULL;
ALTER TABLE screens_items  ADD COLUMN halign		int(2)		DEFAULT '0' NOT NULL;
ALTER TABLE screens_items  ADD COLUMN style		int(4)		DEFAULT '0' NOT NULL;
ALTER TABLE screens_items ADD PRIMARY KEY  (screenitemid);
CREATE TABLE acknowledges (
	acknowledgeid		int(4)		NOT NULL auto_increment,
	userid			int(4)		DEFAULT '0' NOT NULL,
	alarmid			int(4)		DEFAULT '0' NOT NULL,
	clock			int(4)		DEFAULT '0' NOT NULL,
	message			varchar(255)	DEFAULT '' NOT NULL,
	PRIMARY KEY (acknowledgeid),
	KEY userid (userid),
	KEY alarmid (alarmid),
	KEY clock (clock)
) type=InnoDB;
