ALTER TABLE items ADD PRIMARY KEY	(itemid);
ALTER TABLE items ADD UNIQUE		shortname (hostid,key_);
ALTER TABLE items ADD KEY		(hostid);
ALTER TABLE items ADD KEY		(nextcheck);
ALTER TABLE items ADD KEY		(status);
ALTER TABLE media  ADD COLUMN mediaid		int(4) NOT NULL auto_increment;
ALTER TABLE media  ADD COLUMN userid		int(4) DEFAULT '0' NOT NULL;
ALTER TABLE media  ADD COLUMN type		varchar(10) DEFAULT '' NOT NULL;
ALTER TABLE media  ADD COLUMN sendto		varchar(100) DEFAULT '' NOT NULL;
ALTER TABLE media  ADD COLUMN active		int(4) DEFAULT '0' NOT NULL;
ALTER TABLE media ADD PRIMARY KEY	(mediaid);
ALTER TABLE media ADD KEY		(userid);
ALTER TABLE triggers  ADD COLUMN triggerid	int(4) NOT NULL auto_increment;
ALTER TABLE triggers  ADD COLUMN expression	varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE triggers  ADD COLUMN description	varchar(255) DEFAULT '' NOT NULL;
ALTER TABLE triggers  ADD COLUMN istrue		int(4) DEFAULT '0' NOT NULL;
ALTER TABLE triggers  ADD COLUMN lastcheck	int(4) DEFAULT '0' NOT NULL;
ALTER TABLE triggers  ADD COLUMN priority	int(2) DEFAULT '0' NOT NULL;
ALTER TABLE triggers  ADD COLUMN lastchange	int(4) DEFAULT '0' NOT NULL;
ALTER TABLE triggers  ADD COLUMN comments	blob;
ALTER TABLE triggers ADD PRIMARY KEY	(triggerid);
ALTER TABLE triggers ADD KEY		(istrue);
CREATE TABLE trigger_depends (
	triggerid_down	int(4) DEFAULT '0' NOT NULL,
	triggerid_up	int(4) DEFAULT '0' NOT NULL,
	PRIMARY KEY	(triggerid_down, triggerid_up),
	KEY		(triggerid_down),
	KEY		(triggerid_up)
);
