DELETE FROM items_template WHERE itemtemplateid= 1;
insert into items_template (itemtemplateid,platformid,description,key_,delay) 	values (1,1,"Free memory","memory[free]", 30);
DELETE FROM items_template WHERE itemtemplateid= 2;
insert into items_template (itemtemplateid,platformid,description,key_,delay) 	values (2,1,"Free disk space on /","diskfree[/]", 30);
DELETE FROM items_template WHERE itemtemplateid= 3;
insert into items_template (itemtemplateid,platformid,description,key_,delay) 	values (3,1,"Free disk space on /tmp","diskfree[/tmp]", 30);
DELETE FROM items_template WHERE itemtemplateid= 4;
insert into items_template (itemtemplateid,platformid,description,key_,delay) 	values (4,1,"Free disk space on /usr","diskfree[/usr]", 30);
DELETE FROM items_template WHERE itemtemplateid= 5;
insert into items_template (itemtemplateid,platformid,description,key_,delay) 	values (5,1,"Free number of inodes on /","inodefree[/]", 30);
DELETE FROM items_template WHERE itemtemplateid= 6;
insert into items_template (itemtemplateid,platformid,description,key_,delay) 	values (6,1,"Free number of inodes on /opt","inodefree[/opt]", 30);
DELETE FROM items_template WHERE itemtemplateid= 7;
insert into items_template (itemtemplateid,platformid,description,key_,delay) 	values (7,1,"Free number of inodes on /tmp","inodefree[/tmp]", 30);
DELETE FROM items_template WHERE itemtemplateid= 8;
insert into items_template (itemtemplateid,platformid,description,key_,delay) 	values (8,1,"Free number of inodes on /usr","inodefree[/usr]", 30);
DELETE FROM items_template WHERE itemtemplateid= 14;
insert into items_template (itemtemplateid,platformid,description,key_,delay) 	values (14,1,"Free swap space (Kb)","swap[free]", 30);
DELETE FROM items_template WHERE itemtemplateid= 16;
insert into items_template (itemtemplateid,platformid,description,key_,delay) 	values (16,1,"Size of /var/log/syslog","filesize[/var/log/syslog]", 30);
DELETE FROM items_template WHERE itemtemplateid= 19;
insert into items_template (itemtemplateid,platformid,description,key_,delay) 	values (19,1,"Checksum of /etc/inetd.conf","cksum[/etc/inetd.conf]", 600);
DELETE FROM items_template WHERE itemtemplateid= 20;
insert into items_template (itemtemplateid,platformid,description,key_,delay) 	values (20,1,"Checksum of /vmlinuz","cksum[/vmlinuz]", 600);
DELETE FROM items_template WHERE itemtemplateid= 21;
insert into items_template (itemtemplateid,platformid,description,key_,delay) 	values (21,1,"Checksum of /etc/passwd","cksum[/etc/passwd]", 600);
DELETE FROM items_template WHERE itemtemplateid= 23;
insert into items_template (itemtemplateid,platformid,description,key_,delay) 	values (23,1,"Free disk space on /home","diskfree[/home]", 30);
DELETE FROM items_template WHERE itemtemplateid= 24;
insert into items_template (itemtemplateid,platformid,description,key_,delay) 	values (24,1,"Free number of inodes on /home","inodefree[/home]", 30);
DELETE FROM items_template WHERE itemtemplateid= 25;
insert into items_template (itemtemplateid,platformid,description,key_,delay) 	values (25,1,"Free disk space on /var","diskfree[/var]", 30);
insert into items_template (itemtemplateid,platformid,description,key_,delay)	values (26,1,"Free disk space on /opt","diskfree[/opt]", 30);
insert into items_template (itemtemplateid,platformid,description,key_,delay)	values (27,1,"Host uptime (in sec)","uptime", 300);
insert into items_template (itemtemplateid,platformid,description,key_,delay)	values (28,1,"Total memory (kB)","memory[total]", 1800);
insert into items_template (itemtemplateid,platformid,description,key_,delay)	values (29,1,"Shared memory (kB)","memory[shared]", 30);
insert into items_template (itemtemplateid,platformid,description,key_,delay)	values (30,1,"Buffers memory (kB)","memory[buffers]", 30);
insert into items_template (itemtemplateid,platformid,description,key_,delay)	values (31,1,"Cached memory (kB)","memory[cached]", 30);
insert into items_template (itemtemplateid,platformid,description,key_,delay)	values (32,1,"Total swap space (Kb)","swap[total]", 1800);
insert into triggers_template (triggertemplateid,itemtemplateid,description,expression)	values (26,26,"Low free disk space on /opt","{:.last(0)}<1000000000");
insert into triggers_template (triggertemplateid,itemtemplateid,description,expression)	values (27,27,"Host have just been restarted","{:.last(0)}<600");
